Watch keynotes and sessions from MongoDB.live, our virtual developer conference.

MongoDB PHP Library 1.7.0-beta2 Released

The PHP team is happy to announce that version 1.7.0-beta2 of the MongoDB PHP library is now available. This library is a high-level abstraction for the mongodb extension.

Release Highlights

This beta release provides support for additional new features in MongoDB 4.4 following the previous 1.7.0beta1 release.

Collection::createIndex() and createIndexes() now support a commitQuorum option, which can be used with MongoDB 4.4.

Client::listDatabases() now supports an authorizedDatabases option, which can be used with MongoDB 4.0.5 or newer.

As previously announced, this version drops compatibility with PHP 5.6 and requires PHP 7.0 or newer.

A complete list of resolved issues in this release may be found at:
https://jira.mongodb.org/secure/ReleaseNote.jspa?projectId=12483&version=27339

Documentation

Documentation for this library may be found at:
https://docs.mongodb.com/php-library/

Feedback

If you encounter any bugs or issues with this library, please report them via this form:
https://jira.mongodb.org/secure/CreateIssue.jspa?pid=12483&issuetype=1

Installation

This library may be installed or upgraded with:

composer require mongodb/mongodb^1.7.0@beta

Installation instructions for the mongodb extension may be found in the PHP.net documentation.